<?php
include_once("c_esmo_magnit_pmo_step1.php");
class c_page_cab_esmo_magnit_pmo_step3 extends c_page_cab_esmo_magnit_pmo_step1
{
  public $h1='Новое мероприятие ПМО - выбор списка документов' ;

  function select_obj_info()
  {  parent::select_obj_info();
     if ($this->rec_event['pkey']) $this->h1=EVENT_PMO()->name.' '.$this->rec_event['obj_name'].' - выбор списка документов' ;
  }

  // после сохранения списка документов редиректим основное окно на список мероприятий
  // и открывем окно нового мероприятия
  function CMD_save_event()
  { EVENTS()->save_events($this->rec_event['pkey'],$_POST['filter']) ;
    ?><script type="text/javascript">
        var newWin=window.open("<?echo $this->rec_event['__href']?>","window_event_cart",'status=1,dependent=1,width='+LS_popup_window_width+',height='+LS_popup_window_height+',left=0,top=0, resizable=1, scrollbars=yes') ;
        newWin.focus() ;
        document.location='/cab/events/' ;
      </script>
    <?
  }


  function block_main()
  { $this->page_title() ;
    $this->panel_select_docs() ;
  }
  
  

 

  

}



?>